<?php $r="../../";
require_once($r."inc/funciones.php");
validNotSession($r);
$mysqli = connectDB($r);

$idusuario=$_SESSION['userid'];
$fecha = date('Y-m-d');

if(isset($_POST["newclient"])){
    $nombre=strtoupper($_POST['empresa']);
    $direccion=strtolower($_POST['direccion']);
    $correo=strtolower($_POST['correo']);
    $facturacion=$_POST['facturacion'];
    $contacto1=ucwords(strtolower($_POST['contacto']));
    $celular1=$_POST['celular'];
    $tipocliente=$_POST['tipocliente'];
    $facturacion=$_POST['facturacion'];
    $pais='COLOMBIA';
    $departamento=$_POST['iddepa'];
    $municipio=$_POST['idmuni'];
    $mysqli->query("INSERT INTO z_clientes (cedula, nombre, correo, contacto1, celular1, telefono1, direccion, pais, departamento, municipio, tipocliente, facturacion, ruta) VALUES ('','$nombre','$correo','$contacto1','$celular1','$celular1','$direccion','$pais','$departamento','$municipio','$tipocliente','$facturacion','1')");
    $idcliente = $mysqli->insert_id;
}else{
    $idcliente = $_POST['idclient'];
}

$code=$_POST['code'];
$adicional = $_POST['otro'];
$nota = $_POST['nota'];
$ttotal = $_POST['ttotal'];
$tica = $_POST['tica'];
$trete = $_POST['trete'];
$qry1=$mysqli->query("SELECT * FROM z_codigopedido WHERE estado=0");
$row1 = $qry1->fetch_assoc();
$id=$row1['id'];
$codigo=$row1['codigopedido'];
$tipopedido=$_POST['tipopedido'];
$mysqli->query("UPDATE z_codigopedido SET estado=1 WHERE id=$id");
            
$mysqli->query("INSERT INTO z_pedidos (iduser, idcliente, codigopedido, tipopedido, adicional, nota, ica, fuente, total, fechaentrega) VALUE ('$idusuario','$idcliente','$codigo','$tipopedido','$adicional','$nota','$tica','$trete','$ttotal','$fecha')");

$resultado = $mysqli->query("SELECT * FROM `z_cotizacion_pedido` WHERE `idcotizacion`=$code"); 

while ($fila = $resultado->fetch_assoc()){
    $idproducto = $fila['idproducto']; 
    $cantidadproducto = $fila['cantidad']; 
    $precioproducto = $fila['precio']; 
    $presentproducto = $fila['idpresentacion']; 
    $ivaproducto = $fila['iva'];
    if($fila['idproducto']>=2147483647){
        $nombreproducto = decryptIt($fila['producto']); 
        $precioproducto = $fila['precio']; 
        $presentproducto = $fila['idpresentacion']; 
        $ivaproducto = $fila['iva']; 
        $mysqli->query("INSERT INTO `z_productos`(`producto`, `precio`, `unidad`, `iva`, `estado`, `tienda`, `encargo`, `visible`, `eliminado`) VALUES ('$nombreproducto','$precioproducto','$presentproducto',$ivaproducto,1,0,0,0,0)");
        $idproducto = $mysqli->insert_id;
        $mysqli->query("INSERT INTO `z_producto_presentacion`( `idproducto`, `idpresentacion`, `precio`, `oferta`, `preferido`) VALUES ($idproducto,$presentproducto,$precioproducto,0,1)");
        
        
    }
    $mysqli->query("INSERT INTO `z_pedido`(`idproducto`, `cantidad`, `idpresentacion`,`precio`, `iva`,`codigopedido`) VALUES ($idproducto,$cantidadproducto,$presentproducto,$precioproducto,$ivaproducto,'$codigo')");
    $sinfopresent = sinfo('z_presentaciones_productos',$presentproducto);
    $lastcant = $cantidadproducto*$sinfopresent['cantidad'];
    $mysqli->query("UPDATE `z_inventario` SET `cantidad`=`cantidad`-$lastcant  WHERE `idproducto`=$idproducto AND idbodega=1");
}

$mysqli->query("UPDATE `z_cotizacion` SET `fecha_remision`=NOW() WHERE `id`=$code");
$mysqli->close();
exit(header('location:../../pedido/mis-pedidos.php'));
   

?>